Package twisted :: Package tap :: Module manhole :: Class Options

[frames | no frames]

## Class Options

    dict --+
           |
     Options --+
               |
              Options

Method Summary
| ``opt_password`(self, password)` Required.
| ``opt_w`(self, password)` Required.
| ``postOptions`(self)` I am called after the options are parsed.
Inherited from Options
| ``__init__`(self)`
| ``__hash__`(self)`
| ``__str__`(self, width)`
| ``_gather_flags`(self)` Gather up boolean (flag) options.
| ``_gather_handlers`(self)` Gather up options with their own handler methods.
| ``_gather_parameters`(self)` Gather options which take a value.
| ``_generic_flag`(self, flagName, value)`
| ``_generic_parameter`(self, parameterName, value)`
| ``getSynopsis`(self)`
| ``getUsage`(self, width)`
| ``opt_help`(self)` Display this help and exit.
| ``opt_version`(self)`
| ``parseArgs`(self)` I am called with any leftover arguments which were not options.
| ``parseOptions`(self, options)` The guts of the command-line parser.
Inherited from dict
| `__cmp__(...)`
| `__contains__(...)`
| `__delitem__(...)`
| `__eq__(...)`
| `__ge__(...)`
| `__getattribute__(...)`
| `__getitem__(...)`
| `__gt__(...)`
| `__iter__(...)`
| `__le__(...)`
| `__len__(...)`
| `__lt__(...)`
| `__ne__(...)`
| `__repr__(...)`
| `__setitem__(...)`
| `clear(...)`
| `copy(...)`
| `get(...)`
| `has_key(...)`
| `items(...)`
| `iteritems(...)`
| `iterkeys(...)`
| `itervalues(...)`
| `keys(...)`
| `popitem(...)`
| `setdefault(...)`
| `update(...)`
| `values(...)`
Inherited from object
| `__delattr__(...)`
| `__reduce__(...)`
| `__setattr__(...)`
Inherited from type
| `__new__(...)`

Class Variable Summary
`list` | `optFlags` = `[['tracebacks', 'T', 'Allow tracebacks to be ...`
`list` | `optParameters` = `[['user', 'u', 'admin', 'Name of user to...`
`str` | `synopsis` = `'mktap manhole [options]'`
Inherited from Options
`NoneType` | `defaultSubCommand` = None
`NoneType` | `parent` = None
`NoneType` | `subCommand` = None

Method Details

### opt_password(self, password)

Required. '-' will prompt or read a password from stdin.

### opt_w(self, password)

Required. '-' will prompt or read a password from stdin.

### postOptions(self)

I am called after the options are parsed.

Override this method in your subclass to do something after the options have been parsed and assigned, like validate that all options are sane.

  Overrides:
    `twisted.python.usage.Options.postOptions` (inherited documentation)

Class Variable Details

### optFlags

  Type:
    `list`
  Value:

        [['tracebacks', 'T', 'Allow tracebacks to be sent over the network']]

### optParameters

  Type:
    `list`
  Value:

        [['user', 'u', 'admin', 'Name of user to allow to log in'],
         ['port', 'p', '8787', 'Port to listen on']]

### synopsis

  Type:
    `str`
  Value:

        'mktap manhole [options]'

Generated by Epydoc 2.0 on Sat May 15 20:07:37 2004 | http://epydoc.sf.net